# Get Asset

get `https://app.mk.io/api/v1/projects/:project_name/media/assets/:asset_name`

Get an asset by name.

RBAC Capability Required: `ams.asset.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter      | Type   | Required | Description |
|----------------|--------|----------|-------------|
| project_name   | string | Yes      |            |
| asset_name     | string | Yes      |            |

## Response

The response schema on success:

### 200 A single Asset.

| Field              | Type               | Optional | Description |
|--------------------|--------------------|----------|-------------|
| id                  | string             | Yes      | Fully qualified resource ID for the resource. Ex -  /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| labels             | map from strings to string | Yes      | A dictionary of labels associated with the resource. 
|                    |                     |          | - Maximum number of labels: 32.  
|                    |                     |          | - Maximum length of a label or value: 256 characters.  
|                    |                     |          | - Label: alphanumeric, hyphens and underscores.  
|                    |                     |          | - Value: alphanumeric, hyphens, underscores and spaces.
| name               | string             | Yes      | The name of the resource |
| properties         | object [AssetProperties](https://docs.mediakind.com/api-reference/media-api/schemas/assetproperties) | Yes      | The properties of the asset.  |

### Properties of Asset

| Field               | Type         | Optional | Description |
|---------------------|--------------|----------|-------------|
| alternateId         | string       | Yes      | An alternate ID of the asset. |
| assetId             | string       | Yes      | The Asset ID. |
| container           | string       | Yes      | The name of the container if this asset is stored in an Azure storage account. |
| containerDeletionPolicy | enum    | Yes      | Defines the deletion policy for the underlying storage.  |
| created             | string       | Yes      | The creation date of the Asset. |
| description         | string       | Yes      | The Asset description. |
| encryptionScope     | string or null | Yes   | The name of the encryption scope to use within your storage container. |
| lastModified        | string       | Yes      | The last modified date of the Asset. |
| storageAccountName  | string       | Yes      | The name of the storage in MK.IO. |
| subPath             | string       | Yes      | Optional subpath for instances where your asset is not in the root of the container. |

### Errors

| HTTP Status Code | Description |
|------------------|-------------|
| 400              | Bad Request |
| 401              | Unauthorized |
| 403              | Forbidden |
| 404              | Not Found |
| 429              | Too Many Requests |
| 500              | Internal Server Error |

Each error response returns an error object with the following:

| Field         | Type               | Required | Description |
|---------------|--------------------|----------|-------------|
| code          | string             | Yes      | The error code. |
| detail        | string             | Yes      | The error message. |
| extraDetail   | map from strings to any | No | Extra information regarding this error. |
| ref           | string             | Yes      | A reference to the request that caused the error. |
| status        | integer            | Yes      | The HTTP status code |
